# -*- coding: utf-8 -*-
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('kfetauth', '0001_initial'),
    ]

    operations = [
        # See also `kfetauth.0004` migration which deletes already created
        # permissions, if applicable.
        migrations.AlterModelOptions(
            name='genericteamtoken',
            options={
                'default_permissions': (),
            },
        ),
        # See also `kfetauth.0003` migration which imports existing K-Fêt
        # groups.
        # See also `kfetauth.0004` migration which gives the default
        # permissions to `Group` objects which have the deleted
        # `kfet.manage_perms` permission.
        migrations.CreateModel(
            name='Group',
            fields=[
                ('group_ptr', models.OneToOneField(
                    parent_link=True,
                    serialize=False,
                    primary_key=True,
                    auto_created=True,
                    to='auth.Group',
                )),
            ],
            options={
                'default_permissions': ('view', 'add', 'change'),
                'verbose_name': 'Groupe',
                'verbose_name_plural': 'Groupes',
            },
            bases=('auth.group',),
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
            ],
            options={
                'verbose_name': 'Permission',
                'verbose_name_plural': 'Permissions',
                'proxy': True,
            },
            bases=('auth.permission',),
        ),
    ]
