from django.conf.urls import include, url

from . import views

group_patterns = [
    url(r'^$', views.group_index,
        name='kfet.group'),
    url(r'^nouveau/$', views.group_create,
        name='kfet.group.create'),
    url('^(?P<pk>\d+)/edition/$', views.group_update,
        name='kfet.group.update'),
]

urlpatterns = [
    url(r'^groupes/', include(group_patterns)),
    url(r'^login/generic', views.login_generic,
        name='kfet.login.generic'),
]
